# Generated from cucumber-unused_css-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cucumber-unused_css

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Checks for unused CSS selectors
License: MIT
URL: https://gitlab.com/experimentslabs/cucumber-unused-css/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.89
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-performance) >= 1.7
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(rubocop-rspec) >= 1.43
# BuildRequires: rubygem(rubocop-rspec) < 2
BuildArch: noarch

%description
Checks for unused CSS selectors after every Cucumber step.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cucumber-unused_css.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.1-1
- Initial package
